Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.jclasslib.structures.attributes
Class LocalVariableTypeTableAttribute

    java.lang.Object
      org.gjt.jclasslib.structures.AbstractStructure
          org.gjt.jclasslib.structures.AbstractStructureWithAttributes
              org.gjt.jclasslib.structures.AttributeInfo
                  org.gjt.jclasslib.structures.attributes.LocalVariableCommonAttribute
                      org.gjt.jclasslib.structures.attributes.LocalVariableTypeTableAttribute

public class LocalVariableTypeTableAttribute
extends LocalVariableCommonAttribute

Describes an `LocalVariableTypeTable` attribute structure.

Version:
  $Revision: 1.1 $ $Date: 2004/12/28 13:04:32 $
Author:
  Vitor Carreira

Field Summary
`static String` | `ATTRIBUTE_NAME` Name of the attribute as in the corresponding constant pool entry.

Fields inherited from class org.gjt.jclasslib.structures.attributes.LocalVariableCommonAttribute
`INITIAL_LENGTH, localVariableTable`

Fields inherited from class org.gjt.jclasslib.structures.AttributeInfo
`SYSTEM_PROPERTY_SKIP_ATTRIBUTES`

Fields inherited from class org.gjt.jclasslib.structures.AbstractStructureWithAttributes
`attributes`

Fields inherited from class org.gjt.jclasslib.structures.AbstractStructure
`classFile, debug, SYSTEM_PROPERTY_DEBUG`

Constructor Summary
`LocalVariableTypeTableAttribute()`

Method Summary
`protected void` | `debug(String message)` Utility method for derived structures.
`int` | `getAttributeLength()` Get the length of this attribute as a number of bytes.
`LocalVariableTypeTableEntry[]` | `getLocalVariableTypeTable()` Get the list of local variable associations of the parent `Code` structure as an array of `LocalVariableTypeTableEntry` structures.
`void` | `read(DataInput in)` Read this structure from the given `DataInput`.
`void` | `setLocalVariableTypeTable(LocalVariableTypeTableEntry[] localVariableTypeTable)` Set the list of local variable associations of the parent `Code` structure as an array of `LocalVariableTypeTableEntry` structures.

Methods inherited from class org.gjt.jclasslib.structures.attributes.LocalVariableCommonAttribute
`getLocalVariableEntries, setLocalVariableEntries, write`

Methods inherited from class org.gjt.jclasslib.structures.AttributeInfo
`createOrSkip, getAttributeNameIndex, getInfo, getName, printAccessFlagsVerbose, setAttributeNameIndex, setInfo`

Methods inherited from class org.gjt.jclasslib.structures.AbstractStructureWithAttributes
`findAttribute, getAttributes, getTotalAttributesLength, readAttributes, setAttributes, writeAttributes`

Methods inherited from class org.gjt.jclasslib.structures.AbstractStructure
`getClassFile, getDebug, getLength, printAccessFlags, printAccessFlagsVerbose, printBytes, setClassFile, setDebug`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTRIBUTE_NAME

    public static final String ATTRIBUTE_NAME

  Name of the attribute as in the corresponding constant pool entry.

  See Also:
    Constant Field Values

Constructor Detail

### LocalVariableTypeTableAttribute

    public LocalVariableTypeTableAttribute()

Method Detail

### getLocalVariableTypeTable

    public LocalVariableTypeTableEntry[] getLocalVariableTypeTable()

  Get the list of local variable associations of the parent `Code` structure as an array of `LocalVariableTypeTableEntry` structures.

  Returns:
    the array

### setLocalVariableTypeTable

    public void setLocalVariableTypeTable(LocalVariableTypeTableEntry[] localVariableTypeTable)

  Set the list of local variable associations of the parent `Code` structure as an array of `LocalVariableTypeTableEntry` structures.

  Parameters:
    `localVariableTypeTable` - the array

### read

    public void read(DataInput in)
              throws InvalidByteCodeException,
                     IOException

  Description copied from class: `AbstractStructure`
  Read this structure from the given `DataInput`.

  Excpects `DataInput` to be in JVM class file format and just before a structure of this kind. No look ahead parsing since the class file format is deterministic.

  Overrides:
    `read` in class `AttributeInfo`
  Throws:
    `InvalidByteCodeException`
    `IOException`

### getAttributeLength

    public int getAttributeLength()

  Description copied from class: `AttributeInfo`
  Get the length of this attribute as a number of bytes.

  Overrides:
    `getAttributeLength` in class `AttributeInfo`
  Returns:
    the length

### debug

    protected void debug(String message)

  Description copied from class: `AbstractStructure`
  Utility method for derived structures. Dump a specific debug message.

  Overrides:
    `debug` in class `AbstractStructure`
  Parameters:
    `message` - the debug message

Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD